**ovmf-vars-mgr**: A program to read/write/append variables to an OVMF/AAVMF VARS file directly.

 Options:
 --var <variable>          : Variable to be accessed.
 --vars-file <VAR file>    : target OVMF/AAVMF VARS file 
 --var-guid <GUID>         : Variable GUID. Format: XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX
 --var-attr <VAL>          : Variable Attributes. VAL is be a mask of the following values:
                           : EFI_VARIABLE_BOOTSERVICE_ACCESS                    0x2
                           : EFI_VARIABLE_RUNTIME_ACCESS                        0x4
                           : EFI_VARIABLE_TIME_BASED_AUTHENTICATED_WRITE_ACCESS 0x20
 --read                    : read specified variable value from VARS file (value output goes to stdout)
 --write                   : write specified variable value to VARS file (value taken from stdin)
 --append                  : append specified variable value to existing variable value
 --erase                   : erase specified variable from VAR file.
 --help                    : Display usage information including a set of the built-in
                           : "well-known" supported variables. See below for more information.
 
 Well Known Variables:

 ovmf-vars-mgr contains a set of "well-known" built-in variables. You can use the --help option
 to view the set of well-known variables). For convenience, these variables do **not** require the use
 of the --var-guid and --var-attr options to access the variable. All other variables **do**
 require these options to access a variable.

 Example usage:

 Write a new dbx variable value into the specified VARS file:
 > ovmf-vars-mgr --var dbx --write --vars-file /usr/share/OVMF/Guest1_VARS.fd < dbxupdate_x64.esl

 Read db variable value from the specified VARS file (output goes to stdout):
 > ovmf-vars-mgr --var db --read --vars-file /usr/share/OVMF/Guest1_VARS.fd > Guest1_db.esl

 Write new db variable value to the specified VARS file:
 > ovmf-vars-mgr --var db --write --vars-file /usr/share/OVMF/Guest2_VARS.fd < Guest1_db.esl

 Append new dbx variable value to the existing variable value in the specified VARS file:
 > ovmf-vars-mgr --var dbx --append --vars-file /usr/share/OVMF/Guest1_VARS.fd < dbupdate_x64.esl

 Erase db variable from the specified VARS file:
 > ovmf-vars-mgr --var db --erase --vars-file /usr/share/OVMF/Guest1_VARS.fd

Read PK variable value from the specified VARS file (output goes to stdout):
 > ovmf-vars-mgr --var PK --read --vars-file /usr/share/OVMF/Guest1_VARS.fd > Guest1_PK.esl

 Write new KEK variable value to the specified VARS file:
 > ovmf-vars-mgr --var KEK --write --vars-file /usr/share/OVMF/Guest2_VARS.fd < Guest1_KEK.esl

 Write to variable which is not a built-in "well-known" variable:
 > ovmf-vars-mgr --var NewVar1 --write --var-guid 72be967e-6432-89c0-8ef5-bab3b072b123 --var-attr 0x26 --vars-file /usr/share/OVMF/Guest1_VARS.fd < NewVar1.dat 

NOTE: Variable values which contain a EFI_VARIABLE_AUTHENTICATION_2 header are **not** authenticated by this utility. The header is simply stripped off prior to writing the value to the variable.
